%bcond_with bootstrap

%global upstream_version %(echo %{version} | tr '~' '.')

Name:           sisu-mojos
Version:        0.9.0~M2
Release:        %mkrel 2
Group:          Development/Java
Summary:        Sisu plugin for Apache Maven
License:        EPL-1.0
URL:            https://www.eclipse.org/sisu
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

# Source0:        https://github.com/eclipse/sisu.mojos/archive/refs/tags/releases/%%{version}.tar.gz#/%%{name}-%%{version}.tar.gz
Source0:        https://github.com/eclipse/sisu.mojos/archive/refs/tags/milestones/%{upstream_version}.tar.gz#/%{name}-%{version}.tar.gz

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.shared:maven-common-artifact-filters)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.codehaus.mojo:extra-enforcer-rules)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.eclipse.sisu:org.eclipse.sisu.inject)
BuildRequires:  mvn(org.slf4j:slf4j-nop)
BuildRequires:  mvn(org.sonatype.plexus:plexus-build-api)
%endif

%description
The Sisu Plugin for Maven provides mojos to generate
META-INF/sisu/javax.inject.Named index files for the Sisu container.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package contains %{summary}.

%prep
%setup -q -n sisu.mojos-milestones-%{upstream_version}

%mvn_alias : org.sonatype.plugins:

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.9.0~M2-2.mga10
+ Revision: 2223856
- Mageia 10 Mass Rebuild

* Mon May 27 2024 daviddavid <daviddavid> 0.9.0~M2-1.mga10
+ Revision: 2067926
- Update to upstream version 0.9.0~M2
- Rebuilt for java-21-openjdk as system jdk

* Mon Jul 25 2022 neoclust <neoclust> 0.3.5-2.mga9
+ Revision: 1871132
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 0.3.5-1.mga9
+ Revision: 1870945
- New version 0.3.5
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Sep 03 2020 daviddavid <daviddavid> 0.3.4-1.mga8
+ Revision: 1621378
- Update to version 0.3.4
- Remove unnecessary dependency on parent POM
- Rebuilt for JDK-11

* Sat Feb 15 2020 umeabot <umeabot> 0.3.3-2.mga8
+ Revision: 1527658
- Mageia 8 Mass Rebuild

* Sat Jul 20 2019 daviddavid <daviddavid> 0.3.3-1.mga8
+ Revision: 1423088
- Update to version 0.3.3

* Wed Sep 19 2018 umeabot <umeabot> 0.3.1-5.mga7
+ Revision: 1275434
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 0.3.1-3.mga6
+ Revision: 978178
- First rebuild of the java stack
- sync package sisu-mojos with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Dec 30 2014 daviddavid <daviddavid> 0.1.0-6.mga5
+ Revision: 807197
- rebuild for new sonatype-oss-parent

* Wed Oct 15 2014 umeabot <umeabot> 0.1.0-5.mga5
+ Revision: 740390
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Jun 29 2014 dmorgan <dmorgan> 0.1.0-3.mga5
+ Revision: 641070
- imported package sisu-mojos


* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Nov 14 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.1.0-2
- Obsolete sisu-maven-plugin

* Wed Nov 13 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.1.0-1
- Update to upstream version 0.1.0

* Mon Sep 23 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.0.0-0.1.M5
- Initial packaging.
- Fix unowned directory
